This topic describes how to install Tablestore SDK for Node.js.

Prerequisites

Node.js 4.0 or later is installed.

Note To avoid incompatibility problems, we recommend that you do not use Node.js versions 12.0 to 12.14.

Install Tablestore SDK for Node.js

Run the following command to install Tablestore SDK for Node.js:
npm install tablestore

Sample programs

Tablestore SDK for Node.js provides a variety of sample programs for your reference and use. You can obtain the sample programs by using one of the following methods:

  • Download and decompress the Tablestore SDK for Node.js package. Find the sample programs in the examples folder.
  • Access Tablestore SDK for Node.js on GitHub.